<?php
include("init.php");

function overHeslo($login, $heslo) { 
  global $mysql, $err; // chcem vidiet globalnu premennu

  // 1 pripravime select - hladanie riadku podla loginu
  $select = $mysql->prepare("SELECT meno, hash_heslo FROM user WHERE login=?");
  if (! $select){
    $err = "priprava selectu sa nepodarila: " . $mysql->error;
    return false;
  }
  // 2 napojime premennu $login do pripraveneho selectu
  if (!$select->bind_param("s", $login)) {
    $err = "Napojenie premennej sa nepodarilo: " . $mysql->error;
    return false;
  }
  // 3 spustime select
  if (! $select->execute()) {
    $err = "Spustenie selectu sa nepodarilo: " . $mysql->error;
    return false;
  }

  // 4 ak vratilo jeden riadok tak porovname $heslo a heslo z tabulky a ak sa zhoduju vratim True
  $vysledok = $select->get_result();
  if ($vysledok->num_rows !=1) {
    $err = "Pouzivatel neexistuje"; // spravnejsie by sme mali napisat "Zadali ste nespravne meno alebo heslo"
    return false;
  }
  $riadok = $vysledok->fetch_assoc();
  $hashZDb = $riadok['hash_heslo'];
  $hashSaZhoduje = password_verify($heslo, $hashZDb);
  if (! $hashSaZhoduje) {
    $err  = "Heslo je zle"; // spravnejsie by sme mali napisat "Zadali ste nespravne meno alebo heslo"
    return false;
  }
  return true;
}
if(isset($_POST['login']) && isset($_POST['heslo'])) {
    // 1. overit totoznost
    if (overHeslo($_POST['login'], $_POST['heslo'])) {
      //zapamatat si meno prihlaseneho
      $_SESSION['user'] = $_POST['login'];
      header("Location: index.php");
      exit();
    } 
}

include("hlavicka.php");
include("menu.php");

if($err !== '') {
    print '<div class="alert alert-danger" role="alert">';
    print $err;
    print '</div>';
    }

?>

<div class="container" style="width: 400px; margin-top: 50px;">
  <form class="form-signin" action="login.php" method="post">
    <h1 class="h3 mb-3 fw-normal">Prihláste sa, prosím</h1>
    <label for="login" class="sr-only">Login</label>
    <input type="text" name="login" id="login" class="form-control" placeholder="používateľské meno" required autofocus>
    <label for="heslo" class="sr-only">Heslo</label>
    <input type="password" name="heslo" id="heslo" class="form-control" placeholder="heslo" required>
    <input class="mt-1 w-100 btn btn-lg btn-primary" type="submit" value="Prihlásiť sa"></input>
  </form>
</div> <!-- /container -->

<?php
include("paticka.php");
?>